unit BlockUnit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, AnalogWatch, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls;

type

  { TBlockForm }

  TBlockForm = class(TForm)
    AnalogWatch1: TAnalogWatch;
    StaticText1: TStaticText;
    Timer1: TTimer;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormPaint(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  BlockForm: TBlockForm;

implementation

{$R *.lfm}

{ TBlockForm }

procedure TBlockForm.FormPaint(Sender: TObject);
begin

end;

procedure TBlockForm.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Timer1.Enabled:=false;
end;

procedure TBlockForm.FormShow(Sender: TObject);
begin
  BorderStyle := bsNone ;
  Left := 0;
  Top := 0;
  Width := Screen.Width;
  Height := Screen.Height;
  ShowInTaskBar:=stnever;
  Timer1.Enabled:=True;;
end;

procedure TBlockForm.Timer1Timer(Sender: TObject);
begin
  BringToFront;
end;

end.

