unit NachrichtUnit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls;

type

  { TNachrichtForm }

  TNachrichtForm = class(TForm)
    BT_OK: TButton;
    Memo1: TMemo;
    OnTop_Timer: TTimer;
    procedure BT_OKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure OnTop_TimerTimer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  NachrichtForm: TNachrichtForm;

implementation

{$R *.lfm}

{ TNachrichtForm }

procedure TNachrichtForm.BT_OKClick(Sender: TObject);
begin
  OnTop_Timer.Enabled:=false;
  close;
end;

procedure TNachrichtForm.FormShow(Sender: TObject);
begin
  OnTop_Timer.Enabled:=true;
end;

procedure TNachrichtForm.OnTop_TimerTimer(Sender: TObject);
begin
  NachrichtForm.ShowOnTop;
end;

end.

